Nimbu Developer Docs
ReferenceOrders

Cancel a completed order

POST
/orders/{order_id}/cancel

Cancels the order with an optional reason. Requires a master token and an admin user. Order must be completed.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

order_id*string

Order identifier

Request Body

application/json

Cancel options

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/string/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "string",
  "state": "string"
}